cygwin_conv_path_list
Prev | Path conversion functions | Next

## Name

cygwin_conv_path_list

## Synopsis

    #include <sys/cygwin.h>

`ssize_t cygwin_conv_path_list(`cygwin_conv_path_t what, const void * from, void * to, size_t size`)`;

## Description

This is the same as `cygwin_conv_path`, but the input is treated as a path list in $PATH or %PATH% notation.

If `what` is CCP_POSIX_TO_WIN_A or CCP_POSIX_TO_WIN_W, given a POSIX $PATH-style string (i.e. /foo:/bar) convert it to the equivalent Win32 %PATH%-style string (i.e. d:\;e:\bar).

If `what` is CCP_WIN_A_TO_POSIX or CCP_WIN_W_TO_POSIX, given a Win32 %PATH%-style string (i.e. d:\;e:\bar) convert it to the equivalent POSIX $PATH-style string (i.e. /foo:/bar).

`size` is the size of the buffer pointed to by `to` in bytes.

## See also

See also cygwin_conv_path

Prev | Up | Next
cygwin_conv_path | Home | cygwin_create_path